Loading...
Searching...
No Matches
BALL::ShiftModel2D Class Reference

`#include <BALL/NMR/shiftModel2D.h>`

Inheritance diagram for BALL::ShiftModel2D:

## Public Types

Type definitions
enum | SPECTRUM_TYPE { HSQC_NH = 1 , HSQC_CH , COSY_HH , COSY_CH , TOCSY_HH , TOCSY_CH , TOCSY_NH }
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and Destructors
| ShiftModel2D ()
| ShiftModel2D (const String &filename, SPECTRUM_TYPE st, bool compute_shifts=true)
| ShiftModel2D (const String &filename, SPECTRUM_TYPE st, Vector2 origin, Vector2 dimension, Vector2 spacing, bool compute_shifts=true)
| ShiftModel2D (const ShiftModel2D &model)
virtual | ~ShiftModel2D ()
void | clear ()
Accessors
void | setFilename (const String &filename)
const String & | getFilename () const
const Parameters & | getParameters () const
const std::vector< Peak2D > & | getPeaks () const
void | setPeaks (std::vector< Peak2D > peaks)
const Vector2 & | getOrigin () const
void | setOrigin (const Vector2 &origin)
const Vector2 & | getDimension () const
void | setDimension (const Vector2 &dimension)
const Vector2 & | getSpacing () const
void | setSystem (System *system)
const System * | getSystem () const
void | operator>> (Spectrum2D &spectrum)
Predicates
bool | isValid () const
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
virtual void | init ()
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Processor related methods

std::vector< Peak2D > | peaks_
Vector2 | origin_
Vector2 | dimension_
Vector2 | spacing_
SPECTRUM_TYPE | type_
Parameters | parameters_
System * | system_
bool | valid_
bool | compute_shifts_
| Flag for shift computation.
bool | start ()
bool | finish ()
Processor::Result | operator() (Composite &composite)
bool | init_ ()
void | createPeak_ (Atom *proton, Atom *atom, float peakwidth_proton, float peakwidth_atom)

## Additional Inherited Members

Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

A class representing a complete parameterized 2D NMR shift model. The model consists of peak list, a system, a spectrum type and parameters

Definition at line 19 of file shiftModel2D.h.

## Member Enumeration Documentation

## SPECTRUM_TYPE

enum BALL::ShiftModel2D::SPECTRUM_TYPE

Enumerator
HSQC_NH |
HSQC_CH |
COSY_HH |
COSY_CH |
TOCSY_HH |
TOCSY_CH |
TOCSY_NH |

Definition at line 30 of file shiftModel2D.h.

## Constructor & Destructor Documentation

## ShiftModel2D() [1/4]

BALL::ShiftModel2D::ShiftModel2D | ( |  | ) |

Default Constructor

## ShiftModel2D() [2/4]

BALL::ShiftModel2D::ShiftModel2D | ( | const String & | filename,
|  | SPECTRUM_TYPE | st,
|  | bool | compute_shifts = true )

Detailed Constructor. If compute_shifts is set to false, we assume that the shifts have been previously assigned, and will use the properties as we find them in the system.

## ShiftModel2D() [3/4]

BALL::ShiftModel2D::ShiftModel2D | ( | const String & | filename,
|  | SPECTRUM_TYPE | st,
|  | Vector2 | origin,
|  | Vector2 | dimension,
|  | Vector2 | spacing,
|  | bool | compute_shifts = true )

Detailed Constructor. If compute_shifts is set to false, we assume that the shifts have been previously assigned, and will use the properties as we find them in the system.

## ShiftModel2D() [4/4]

BALL::ShiftModel2D::ShiftModel2D | ( | const ShiftModel2D & | model | ) |

Copy constructor

## ~ShiftModel2D()

virtual BALL::ShiftModel2D::~ShiftModel2D | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

void BALL::ShiftModel2D::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ShiftModule.

## createPeak_()

void BALL::ShiftModel2D::createPeak_ | ( | Atom * | proton,
|  | Atom * | atom,
|  | float | peakwidth_proton,
|  | float | peakwidth_atom )

protected

## finish()

bool BALL::ShiftModel2D::finish | ( |  | ) |

virtual

Finish method

Reimplemented from BALL::ShiftModule.

## getDimension()

const Vector2 & BALL::ShiftModel2D::getDimension | ( |  | ) | const

inline

Get the dimension

Definition at line 127 of file shiftModel2D.h.

## getFilename()

const String & BALL::ShiftModel2D::getFilename | ( |  | ) | const

inline

Return the parameter filename.

Definition at line 85 of file shiftModel2D.h.

## getOrigin()

const Vector2 & BALL::ShiftModel2D::getOrigin | ( |  | ) | const

inline

Get the origin

Definition at line 113 of file shiftModel2D.h.

## getParameters()

const Parameters & BALL::ShiftModel2D::getParameters | ( |  | ) | const

inline

Definition at line 92 of file shiftModel2D.h.

## getPeaks()

const std::vector< Peak2D > & BALL::ShiftModel2D::getPeaks | ( |  | ) | const

inline

Get the peaks

Definition at line 99 of file shiftModel2D.h.

## getSpacing()

const Vector2 & BALL::ShiftModel2D::getSpacing | ( |  | ) | const

inline

Get the spacing

Definition at line 141 of file shiftModel2D.h.

## getSystem()

const System * BALL::ShiftModel2D::getSystem | ( |  | ) | const

inline

Return the system

Definition at line 156 of file shiftModel2D.h.

## init_()

bool BALL::ShiftModel2D::init_ | ( |  | ) |

protected

## isValid()

bool BALL::ShiftModel2D::isValid | ( |  | ) | const

Validity flag

## operator()()

Processor::Result BALL::ShiftModel2D::operator() | ( | Composite & | composite | ) |

virtual

Application method

Reimplemented from BALL::UnaryProcessor< Composite >.

## operator>>()

void BALL::ShiftModel2D::operator>> | ( | Spectrum2D & | spectrum | ) |

## setDimension()

void BALL::ShiftModel2D::setDimension | ( | const Vector2 & | dimension | ) |

inline

Set the dimension

Definition at line 134 of file shiftModel2D.h.

## setFilename()

void BALL::ShiftModel2D::setFilename | ( | const String & | filename | ) |

Set the parameter filename.

Exceptions

  BALL::Exception::FileNotFound |

## setOrigin()

void BALL::ShiftModel2D::setOrigin | ( | const Vector2 & | origin | ) |

inline

Set the origin

Definition at line 120 of file shiftModel2D.h.

## setPeaks()

void BALL::ShiftModel2D::setPeaks | ( | std::vector< Peak2D > | peaks | ) |

inline

Set the peaks

Definition at line 106 of file shiftModel2D.h.

## setSystem()

void BALL::ShiftModel2D::setSystem | ( | System * | system | ) |

inline

Set the system

Definition at line 149 of file shiftModel2D.h.

## start()

bool BALL::ShiftModel2D::start | ( |  | ) |

virtual

Start method

Reimplemented from BALL::ShiftModule.

## Member Data Documentation

## compute_shifts_

bool BALL::ShiftModel2D::compute_shifts_

protected

Flag for shift computation.

Definition at line 237 of file shiftModel2D.h.

## dimension_

Vector2 BALL::ShiftModel2D::dimension_

protected

Definition at line 213 of file shiftModel2D.h.

## origin_

Vector2 BALL::ShiftModel2D::origin_

protected

Definition at line 209 of file shiftModel2D.h.

## parameters_

Parameters BALL::ShiftModel2D::parameters_

protected

Definition at line 225 of file shiftModel2D.h.

## peaks_

std::vector<Peak2D> BALL::ShiftModel2D::peaks_

protected

Definition at line 205 of file shiftModel2D.h.

## spacing_

Vector2 BALL::ShiftModel2D::spacing_

protected

Definition at line 217 of file shiftModel2D.h.

## system_

System* BALL::ShiftModel2D::system_

protected

Definition at line 229 of file shiftModel2D.h.

## type_

SPECTRUM_TYPE BALL::ShiftModel2D::type_

protected

Definition at line 221 of file shiftModel2D.h.

## valid_

bool BALL::ShiftModel2D::valid_

protected

Definition at line 234 of file shiftModel2D.h.